package com.baidu.translate.asr.demo.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.baidu.translate.asr.data.Language;
import com.baidu.translate.asr.demo.R;

public class LanguageAdapter extends BaseAdapter {

    private Language[] languages;

    private LayoutInflater inflater;

    public LanguageAdapter(Context ctx) {
        inflater = LayoutInflater.from(ctx);
    }

    public void setLanguages(Language[] languages) {
        this.languages = languages;
    }

    @Override
    public int getCount() {
        return languages == null ? 0 : languages.length;
    }

    @Override
    public Language getItem(int position) {
        return languages[position];
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        if (convertView == null) {
            convertView = inflater.inflate(R.layout.item_language_choose, parent, false);
        }

        TextView language = (TextView) convertView.findViewById(R.id.language);
        language.setText(getItem(position).getLanguage());

        View speaker = convertView.findViewById(R.id.language_speaker);
        if (getItem(position).isTtsAvailable()) {
            speaker.setVisibility(View.VISIBLE);
        } else {
            speaker.setVisibility(View.GONE);
        }

        return convertView;
    }
}
